Page MenuHomePhabricator

[Migrated] Double click on deleted last line doesn't work
Closed, ResolvedPublic

Description

@OdMishehu 12:28, 1 October 2014 (UTC) wrote:

When removing the last line of a page (e.g removing {{Pennsylvania-geo-stub}} on pages without other stub tags), double clicking on it in the diff doesn't work when the section is long enough to need a scroll bar.


Site: English Wikipedia
OS: Windows XP
.NET 2.0.50727.4961
Version 5.5.5.0
Workaround: Add enough blank linesclick on the "Diff" button; this only happens on a deleted line, not a modified one.

Event Timeline

Josve05a raised the priority of this task from to Needs Triage.
Josve05a updated the task description. (Show Details)
Josve05a added a project: AutoWikiBrowser.
Josve05a added subscribers: Josve05a, OdMishehu.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 16 2015, 12:30 AM
Josve05a updated the task description. (Show Details)May 16 2015, 12:30 AM
Josve05a set Security to None.
Josve05a added a subscriber: Rjwilmsi.

@Rjwilmsi 09:34, 11 November 2014 (UTC) wrote:

@OdMishehu: Does double clicking on the left hand side of the diff, not the right hand side work in this case?

@OdMishehu 16:01, 11 November 2014 (UTC) wrote:

No, that's always where I click for deleted lines.

@Rjwilmsi 17:35, 11 November 2014 (UTC) wrote:

OK, strange then, works for me under Wine (.NET 3.5). Do you have the Microsoft.mshtml.dll next to your AutoWikiBrowser.exe (per the installation instructions), this might help?

@OdMishehu 17:48, 11 November 2014 (UTC) wrote:

I only have the unzipped version of AutoWikiBrowser5550.zip, along with a few configuration files and list files which I haven't bothered deleting.

@Rjwilmsi 17:41, 12 November 2014 (UTC) wrote:

OK, please try running AWB with Microsoft.mshtml.dll next to the AutoWikiBrowser.exe file.

@OdMishehu 16:12, 13 November 2014 (UTC) wrote:

Where do I get this file?

@Rjwilmsi 12:02, 14 November 2014 (UTC) wrote:

The Microsoft licence doesn't allow us to distribute it so you would have to google for it.

@OdMishehu 07:53, 19 November 2014 (UTC) wrote:

It's still happenning - just got it at Cameron Park Historic District.

@Magioladitis 22:11, 29 March 2015 (UTC) wrote:

@OdMishehu: do you have Windows XP?

@OdMishehu 02:46, 30 March 2015 (UTC) wrote:

@Magioladitis: Yes.

Rjwilmsi changed the task status from Open to Stalled.Jun 24 2015, 7:49 AM

@Rjwilmsi no question has been asked to a user, so it is unknown what kind of User input is needed or wanted. I'll move it on the board.

@Josve05a User needs to test "running AWB with Microsoft.mshtml.dll next to the AutoWikiBrowser.exe file" and report if this fixes the issue.

Rjwilmsi closed this task as Resolved.Aug 12 2015, 3:15 PM
Rjwilmsi claimed this task.

OK, found my own test case. Fixed in rev 11372